Skip to main content

Couriers & Locations

List Couriers​

Returns the list of active couriers, with each courier's COD support and shipping methods (sender_types).

GET /courier/v1/couriers

Example Request​

curl -X GET 'https://use.api.co.id/courier/v1/couriers' \
-H 'x-api-co-id: YOUR_API_KEY'

Example Response​

{
"is_success": true,
"message": "OK",
"data": [
{ "code": "ninja", "name": "Ninja Xpress", "logo": "https://use.api.co.id/assets/couriers/ninja.png", "cod": false, "sender_types": ["picked up"] },
{ "code": "sicepat", "name": "Sicepat Express", "logo": "https://use.api.co.id/assets/couriers/sicepat.png", "cod": true, "sender_types": ["dropped", "picked up"] }
]
}

Provinces​

Lists all provinces.

GET /courier/v1/locations/provinces

Example Request​

curl -X GET 'https://use.api.co.id/courier/v1/locations/provinces' \
-H 'x-api-co-id: YOUR_API_KEY'

Example Response​

{
"is_success": true,
"message": "OK",
"data": [
{ "code": "33", "name": "Jawa Tengah" }
]
}

Cities / Regencies​

Lists the cities/regencies in a province.

GET /courier/v1/locations/cities

Query Parameters​

ParameterTypeRequiredDescription
provincestringyesProvince code.

Example Request​

curl -X GET 'https://use.api.co.id/courier/v1/locations/cities?province=33' \
-H 'x-api-co-id: YOUR_API_KEY'

Example Response​

{
"is_success": true,
"message": "OK",
"data": [
{ "code": "3374", "name": "Kota Semarang" }
]
}

Districts​

Lists the districts in a city/regency. The code here is what you use for origin_district_code / destination_district_code in Shipping Rates.

GET /courier/v1/locations/districts

Query Parameters​

ParameterTypeRequiredDescription
citystringyesCity/regency code.

Example Request​

curl -X GET 'https://use.api.co.id/courier/v1/locations/districts?city=3374' \
-H 'x-api-co-id: YOUR_API_KEY'

Example Response​

{
"is_success": true,
"message": "OK",
"data": [
{ "code": "3374010", "name": "Semarang Tengah" }
]
}

Try it out​

  • GET/courier/v1/couriersList Couriers
  • GET/courier/v1/locations/provincesProvinces
  • GET/courier/v1/locations/citiesCities / Regencies
  • GET/courier/v1/locations/districtsDistricts
Was this page helpful?